using Luski.Shared.PublicServers.V1.Enums;
using ServerDatabase;
using ServerDatabase.SourceGenerator;

namespace LuskiServer.Classes.TableDef;

public static class ServerRoleOverrides
{
    public static TableColumn<ServerRoleOverrideRow, long> ID { get; } = new("id", true);
    public static TableColumn<ServerRoleOverrideRow, long> RoleID { get; } = new("role_id");
    public static TableColumn<ServerRoleOverrideRow, ServerPermission> BadPermissions { get; } = new("bad_permissions");
    public static TableColumn<ServerRoleOverrideRow, ServerPermission> GoodPermissions { get; } = new("good_permissions");
}

[TableRow(typeof(ServerRoleOverrides))]
public partial class ServerRoleOverrideRow;