using ServerDatabase;
using ServerDatabase.SourceGenerator;

namespace LuskiServer.Classes.TableDef;

public static class Storage
{
    public static TableColumn<StorageRow, long> ID { get; } = new("id", true);
    public static TableColumn<StorageRow, long> AccountID { get; } = new("account_id");
    public static TableColumn<StorageRow, byte[][]> Data { get; } = new("data");
    public static TableColumn<StorageRow, byte[]> Password { get; } = new("password");
    public static TableColumn<StorageRow, long> OffileKey { get; } = new("offline_key");
}

[TableRow(typeof(Storage))]
public partial class StorageRow
{
    
}